Antom, leading provider of tailored payment solutions

inquireCardSensitiveInfo

POST /v1/aba/cards/inquireCardSensitiveInfo

Use this API to securely retrieve sensitive card information, including the full PAN, CVV, or PIN.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

assetId String  REQUIRED

The unique identifier of a card.

More information:

  • Maximum length: 64 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

assetId String  

The unique identifier of a card.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 64 characters

cvv String  

Encrypted CVV number.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 4 characters

cardNo String  

Card number in plaintext.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 19 characters

expiredMonth String  

Card expiration month, formatted as "MM" (e.g., "07").

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 2 characters

expiredYear String  

Card expiration year, formatted as "YY", using the last two digits of the year (e.g., "29").

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 2 characters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body


Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

No further action is needed.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support Team to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

RISK_REJECTFRequest rejected due to risk concerns.

Please contact our Technical Support Team for help.